Subject: bug#31232: bug#39919: 26.3; Incorrect byte-compiler warning

From: Michael Heerdegen <[email-masked]>
Date: Tue, 28 Apr 2020 20:08:11 +0200

Mike Woolley <[email-masked]> writes:

> I think people using `dotimes' from `cl’ are going to expect it to
> work like in Common Lisp (as that’s the whole point).

But note that dotimes is in subr.el, and cl-dotimes is separate (though
it's currently implemented on top of dotimes).

> Just deprecating the result parameter because it’s too hard doesn’t
> seem like a good solution :-)

I regret that I said it like that, no, that's not a reason.  The main
reason is that the whole existence (usefulness) of the RESULT argument
and its position in the syntax are questionable.

Michael.